#                 Startstop Configuration File for Windows NT
#
#    <nRing> is the number of transport rings to create.
#    <Ring> specifies the name of a ring followed by it's size
#    in kilobytes, eg        Ring    WAVE_RING 1024
#    The maximum size of a ring depends on your operating system, 
#    amount of physical RAM and configured virtual (paging) memory 
#    available. A good place to start is 1024 kilobytes. 
#    Ring names are listed in file earthworm.d.
#
  nRing               	4
  Ring   WAVE_RING 	1024
  Ring   PICK_RING      1024
  Ring   HYPO_RING      2048
  Ring   IN_RING      	1024
#
 MyModuleId       MOD_STARTSTOP  # Module Id for this program
 HeartbeatInt     15             # Heartbeat interval in seconds
 MyPriorityClass  Normal         # For startstop
 LogFile           1             # 1=write a log file to disk, 0=don't, 
                     		 # 2=write to module log but not stderr/stdout
 KillDelay         8             # number of seconds to wait on shutdown
                                 #  for a child process to self-terminate
                                 #  before killing it
 statmgrDelay      2             # Uncomment to specify the number of seconds
                                 # to wait after starting statmgr 
                                 # default is 1 second
#
#    PriorityClass values:
#       Idle            4
#       Normal          9 forground, 7 background
#       High            13
#       RealTime        24
#
#    ThreadPriority values:
#       Lowest          PriorityClass - 2
#       BelowNormal     PriorityClass - 1
#       Normal          PriorityClass
#       AboveNormal     PriorityClass + 1
#       Highest         PriorityClass + 2
#       TimeCritical    31 if PriorityClass is RealTime; 15 otherwise
#       Idle            16 if PriorityClass is RealTime; 1 otherwise
#
#    Display can be either NewConsole, NoNewConsole, or MinimizedConsole.
#
#    If the command string required to start a process contains
#    embedded blanks, it must be enclosed in double-quotes.
#    Processes may be disabled by commenting them out.
#    To comment out a line, preceed the line by #.
#
Process          "statmgr statmgr.d"
PriorityClass     Normal
ThreadPriority    Normal
Display           NoNewConsole
#
Process          "export_generic export_generic_wws.d"
PriorityClass     Normal
ThreadPriority    Normal
Display           NoNewConsole
#
Process "java gov.usgs.winston.server.WWS --noinput"
PriorityClass     Normal
ThreadPriority    Normal
Display           MinNewConsole
#
Process "java gov.usgs.winston.in.ew.ImportEW --noinput"
PriorityClass     Normal
ThreadPriority    Normal
Display           MinNewConsole
#
#Process          "liss2ew_scnl liss2ew_ws1.d"
#PriorityClass     Normal
#ThreadPriority    Normal
#Display           NewConsole
#
#Process          "liss2ew_scnl liss2ew_ws2.d"
#PriorityClass     Normal
#ThreadPriority    Normal
#Display           NewConsole
#
Process          "Ws2Ew Ws2Ew.d"
PriorityClass     Normal
ThreadPriority    Normal
Display           NewConsole
#
Process          "slink2ew slink2ew.d"
PriorityClass     Normal
ThreadPriority    Normal
Display           NoNewConsole
#
Process          "copystatus HYPO_RING WAVE_RING"
PriorityClass     Normal
ThreadPriority    Normal
Display           NoNewConsole
#
Process          "copystatus PICK_RING WAVE_RING"
PriorityClass     Normal
ThreadPriority    Normal
Display           NoNewConsole
#
Process          "pick_ew pick_ew.d"
PriorityClass     Normal
ThreadPriority    Normal
Display           NewConsole
#
Process          "binder_ew binder_ew.d"
PriorityClass     Normal
ThreadPriority    Normal
Display           NewConsole
#
Process          "eqproc eqproc.d"
PriorityClass     Normal
ThreadPriority    Normal
Display           NewConsole
#
Process          "ew2file ew2file.d"
PriorityClass     Normal
ThreadPriority    Normal
Display           NewConsole
#
Process          "trig2disk trig2disk.d"
PriorityClass     Normal
ThreadPriority    Normal
Display           NewConsole
#
Process          "arc2trig arc2trig.d"
PriorityClass     Normal
ThreadPriority    Normal
Display           NoNewConsole
